<?php
//
// $Id: contact_form_page.php, v 0.00 Sun Feb 21 2010 19:41:03 GMT+0000 (IST) Francis Crossen $
//

/**
* A page controller
*
* @package    Tina-MVC
* @author     Francis Crossen <francis@crossen.org>
*/

/**
* A contact form
*
* Access it at: /tina-mvc-for-wordpress/contact-form
*
* @package    Tina-MVC
* @uses         contact_form_view.php the view file
*/
class contact_form_page extends tina_mvc_base_page_class {
    
    function __construct( $request ) {
    
        $this->role_to_view = FALSE;
    
        parent::__construct(  $request );

        $f = new tina_mvc_form_helper_class( 'contact-form' );
    
        $f->add_field( 'your_name', 'text', FALSE, $db_table='NONE', $db_field=false, FALSE, $extraAttrib='' );
        $_rules = array( 'required'=>NULL  );
        $f->add_validation_rules( 'your_name', $_rules );

        $f->add_field( 'your_email', 'text', FALSE, $db_table='NONE', $db_field=false, FALSE, $extraAttrib='' );
        $_rules = array( 'required'=>NULL, 'email'=>NULL  );
        $f->add_validation_rules('your_email', $_rules );
        
        $f->add_field( 'your_email_again', 'text', FALSE, $db_table='NONE', $db_field=false, FALSE, $extraAttrib='' );
        $_rules = array( 'required'=>NULL, 'email'=>NULL, 'equaltofield'=>'your_email'  );
        $f->add_validation_rules('your_email_again', $_rules );

        $f->add_field( 'your_message', 'textarea', FALSE, $db_table='NONE', $db_field=false, FALSE, $extraAttrib='' );
        $_rules = array( 'required'=>NULL  );
        $f->add_validation_rules( 'your_message', $_rules );
        
        // only if we have set the recaptcha api keys
        if( get_option('tina_mvc_recaptcha_pub_key') AND get_option('tina_mvc_recaptcha_pri_key') ) {
            $f->add_field( 'prove-you-are-human', 'recaptcha' );
        }
            
        $f->add_field( 'submit-button', 'submit', 'Send her on...', 'NONE', false, 'Send Message' );
        
        // $f->load_field_data_array( 'NONE', $dummy_table_data );        
        
        $f->build_form();    // this also checks for validation errors and if posted...
     
        if( $tbl = $f->get_table_data() ) { // returns FALSE if there were validation errors...
            
            $f->add_form_message("Your message would be sent if this was a real contact form. Read the source of\r\n"
                                 .__FILE__."\r\nto see how you can do this.");
            
            $form_vars = esc_html( print_r( $tbl, 1 ) );
            
            // tina_mvc_mail( 'me@example.com' , 'blank' , $vars );
            
        }
        
        $post_content = $f->get_form_html();
        
        if( isset($form_vars) AND $form_vars ) {
            $post_content .= '<hr>Posted Data:<br /><pre><small>';
            $post_content .= $form_vars . '</small></pre>';
        }
        
        $this->set_post_title( 'Tina MVC Sample App - Contact Form' );
        $this->set_post_content( $post_content );
        
    }

}

?>